#ifndef _Mindigomaterial_H_
#define _Mindigomaterial_H_

enum
{
	CINDIGO_MAT_PREVIEW		= 6000,
	CINDIGO_INDIGO_HEADER	= 6267,
	
	INDIGO_MATERIAL_ALPHA	= 6002,
	INDIGO_MATERIAL_ALBEDO	= 6003,
	INDIGO_MATERIAL_PHONG	= 6004,
	INDIGO_MATERIAL_BUMP	= 6005,
	INDIGO_MATERIAL_DISPLACEMENT	= 6006,
	INDIGO_MATERIAL_EMISSION	= 6007,
	INDIGO_MATERIAL_EXPONENT	= 6008,
	INDIGO_MATERIAL_SIGMA	= 6009,
	INDIGO_MATERIAL_MEDIUM	= 6010,
	INDIGO_MATERIAL_SPECULAR	= 6011,
	INDIGO_MATERIAL_PRE_BAKE	= 6264,
	INDIGO_MATERIAL_ABSORPTION_LAYER	= 6280,

	ID_INDIGO_ALPHA	= 6013,
	ID_INDIGO_ALBEDO	= 6015,
	ID_INDIGO_PHONG	= 6016,
	ID_INDIGO_BUMP	= 6017,
	ID_INDIGO_DISPLACEMENT	= 6018,
	ID_INDIGO_EMISSION	= 6019,
	ID_INDIGO_EXPONENT	= 6020,
	ID_INDIGO_SIGMA	= 6021,
	ID_INDIGO_MEDIUM	= 6022,
	ID_INDIGO_SPECULAR	= 6023,
	ID_INDIGO_PRE_BAKE	= 6263,
	ID_INDIGO_ABSORPTION_LAYER	= 6279,

	//WAVELENGHT TYPE, SPECTRUM TYPES
	INDIGO_SPECTRUM_TYPE_RGB		= 6104,
	INDIGO_SPECTRUM_TYPE_BLACKBODY	= 6105,
	INDIGO_SPECTRUM_TYPE_PEAK		= 6106,
	INDIGO_SPECTRUM_TYPE_UNIFORM	= 6107,
	INDIGO_SPECTRUM_TYPE_REALTAB	= 6108,

	//MAIN
	INDIGO_MATERIAL_TYPE	= 6024,
		INDIGO_MATERIAL_TYPE_DIFFUSE	= 6025,
		INDIGO_MATERIAL_TYPE_ORENNAYAR	= 6026,
		INDIGO_MATERIAL_TYPE_PHONG	= 6027,
		INDIGO_MATERIAL_TYPE_DIFFUSETRANSM	= 6028,
		INDIGO_MATERIAL_TYPE_SPECULAR	= 6029,
		INDIGO_MATERIAL_TYPE_BLEND	= 6030,
		INDIGO_MATERIAL_TYPE_GLOSSY	= 6031,
		INDIGO_MATERIAL_TYPE_NULL	= 6262,
	INDIGO_PREVIEW_QUALITY	= 6032,
		INDIGO_PREVIEW_QUALITY_LOW	= 6033,
		INDIGO_PREVIEW_QUALITY_MEDIUM	= 6034,
		INDIGO_PREVIEW_QUALITY_HIGH	= 6035,

	//ALBEDO
	INDIGO_ALBEDO_SPECTRUM_RGB			= 6114,
	INDIGO_ALBEDO_SPECTRUM_RGB_GAIN		= 6081,
	INDIGO_ALBEDO_SPECTRUM_RGB_GAMMA	= 6115,

	INDIGO_ALBEDO_TEXTURE		= 6118,
	INDIGO_ALBEDO_TEXTURE_EXP	= 6119,
	INDIGO_ALBEDO_TEXTURE_A		= 6120,
	INDIGO_ALBEDO_TEXTURE_B		= 6121,
	INDIGO_ALBEDO_TEXTURE_C		= 6122,

	//PHONG
	INDIGO_PHONG_IOR			= 6038,
	INDIGO_PHONG_USE_SPEC_REFL	= 6039,
	INDIGO_PHONG_USE_NKDATA		= 6144,
	INDIGO_PHONG_NKDATA			= 6145,
	INDIGO_PHONG_NO_NK_GROUP	= 6146,

	//EXPONENT
	INDIGO_EXPONENT_CONSTANT	= 6040,

	INDIGO_EXPONENT_TEXTURE		= 6200,
	INDIGO_EXPONENT_TEXTURE_EXP	= 6201,
	INDIGO_EXPONENT_TEXTURE_A	= 6202,
	INDIGO_EXPONENT_TEXTURE_B	= 6203,
	INDIGO_EXPONENT_TEXTURE_C	= 6204,

	//MEDIUM
	INDIGO_MEDIUM_TYPE				= 6041,
	INDIGO_MEDIUM_TYPE_BASIC		= 6042,
	INDIGO_MEDIUM_TYPE_DERMIS		= 6043,
	INDIGO_MEDIUM_TYPE_EPIDERMIS	= 6044,
	INDIGO_MEDIUM_TYPE_ATMOSPHERE	= 6283,

	INDIGO_MEDIUM_PRECEDENCE	= 6045,
	INDIGO_MEDIUM_IOR			= 6046,
	INDIGO_MEDIUM_CAUCHY_B		= 6047,

	INDIGO_MEDIUM_TURBIDITY		= 6284,
	INDIGO_MEDIUM_CENTER		= 6285,

	INDIGO_MEDIUM_SSS			= 6048,

	INDIGO_MEDIUM_TYPE_BASIC_GROUP		= 6123,
	INDIGO_MEDIUM_TYPE_DERMIS_GROUP		= 6124,
	INDIGO_MEDIUM_TYPE_EPIDERMIS_GROUP	= 6125,
	INDIGO_MEDIUM_TYPE_ATMOSPHERE_GROUP	= 6286,

	INDIGO_HEMOGLOBIN_FRACTION	= 6126,
	INDIGO_MELANIN_FRACTION		= 6127,
	INDIGO_MELANIN_TYPE_BLEND	= 6128,

	INDIGO_ABSORPTION_SPECTRUM_TYPE			= 6210,

	INDIGO_ABSORPTION_SPECTRUM_GROUP_RGB		= 6211,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_BLACKBODY	= 6212,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_PEAK		= 6213,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_UNIFORM	= 6214,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_REALTAB	= 6215,

	INDIGO_MEDIUM_ABSORPTION_RGB		= 6129,
	INDIGO_MEDIUM_ABSORPTION_RGB_GAMMA	= 6130,
	INDIGO_MEDIUM_ABSORPTION_RGB_GAIN	= 6216,

	INDIGO_MEDIUM_ABSORPTION_BLACKBODY_TEMP	= 6224,
	INDIGO_MEDIUM_ABSORPTION_BLACKBODY_GAIN	= 6225,

	INDIGO_MEDIUM_ABSORPTION_UNIFORM		= 6228,

	INDIGO_MEDIUM_ABSORPTION_REALTAB_STARTWL	= 6230,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_ENDWL		= 6231,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_VALUES		= 6232,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_NUMVALUES	= 6233,

	INDIGO_MEDIUM_ABSORPTION_PEAK_MIN		= 6246,
	INDIGO_MEDIUM_ABSORPTION_PEAK_WIDTH		= 6247,
	INDIGO_MEDIUM_ABSORPTION_PEAK_BASEVALUE	= 6248,
	INDIGO_MEDIUM_ABSORPTION_PEAK_VALUE		= 6249,

	INDIGO_MEDIUM_SSS_GROUP					= 6132,

	INDIGO_SCATTERING_SPECTRUM_TYPE			= 6217,

	INDIGO_SCATTERING_SPECTRUM_GROUP_RGB		= 6218,
	INDIGO_SCATTERING_SPECTRUM_GROUP_BLACKBODY	= 6219,
	INDIGO_SCATTERING_SPECTRUM_GROUP_PEAK		= 6220,
	INDIGO_SCATTERING_SPECTRUM_GROUP_UNIFORM	= 6221,
	INDIGO_SCATTERING_SPECTRUM_GROUP_REALTAB	= 6222,

	INDIGO_MEDIUM_SCATTERING_RGB		= 6133,
	INDIGO_MEDIUM_SCATTERING_RGB_GAMMA	= 6134,
	INDIGO_MEDIUM_SCATTERING_RGB_GAIN	= 6223,

	INDIGO_MEDIUM_SCATTERING_BLACKBODY_TEMP	= 6226,
	INDIGO_MEDIUM_SCATTERING_BLACKBODY_GAIN	= 6227,

	INDIGO_MEDIUM_SCATTERING_UNIFORM		= 6229,

	INDIGO_MEDIUM_SCATTERING_REALTAB_STARTWL	= 6234,
	INDIGO_MEDIUM_SCATTERING_REALTAB_ENDWL		= 6235,
	INDIGO_MEDIUM_SCATTERING_REALTAB_VALUES		= 6236,
	INDIGO_MEDIUM_SCATTERING_REALTAB_NUMVALUES	= 6237,

	INDIGO_MEDIUM_SCATTERING_PEAK_MIN		= 6250,
	INDIGO_MEDIUM_SCATTERING_PEAK_WIDTH		= 6251,
	INDIGO_MEDIUM_SCATTERING_PEAK_BASEVALUE	= 6252,
	INDIGO_MEDIUM_SCATTERING_PEAK_VALUE		= 6253,

	INDIGO_MEDIUM_PHASE_FUNCTION_TYPE		= 6136,
	INDIGO_MEDIUM_PHASE_FUNCTION_UNIFORM	= 6137,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN	= 6138,

	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_VECTOR	= 6141,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_GAMMA	= 6142,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_GROUP	= 6143,

	//SPECULAR
	INDIGO_SPECULAR_TRANSP		= 6049,

	//ALPHA/BLEND
	INDIGO_BLEND_MATERIAL	= 6259,
	INDIGO_BLEND_MATERIAL2	= 6269,
	INDIGO_BLEND_FACTOR		= 6260,
	INDIGO_BLEND_STEP		= 6261,
	
	INDIGO_ALPHA_TEXTURE		= 6052,
	INDIGO_ALPHA_TEXTURE_EXP	= 6053,
	INDIGO_ALPHA_TEXTURE_A		= 6054,
	INDIGO_ALPHA_TEXTURE_B		= 6055,
	INDIGO_ALPHA_TEXTURE_C		= 6056,

	//EMISSION
	INDIGO_BASEEMISSION_SPECTRUM_TYPE				= 6057,

	INDIGO_BASEEMISSION_SPECTRUM_GROUP_RGB			= 6058,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_BLACKBODY	= 6059,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_UNIFORM		= 6238,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_PEAK			= 6239,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_REALTAB		= 6240,

	INDIGO_BASEEMISSION_SPECTRUM_RGB			= 6060,
	INDIGO_BASEEMISSION_SPECTRUM_RGB_GAIN		= 6089,
	INDIGO_BASEEMISSION_SPECTRUM_RGB_GAMMA		= 6061,

	INDIGO_BASEEMISSION_SPECTRUM_BLACKBODY_TEMP	= 6062,
	INDIGO_BASEEMISSION_SPECTRUM_BLACKBODY_GAIN	= 6063,

	INDIGO_BASEEMISSION_SPECTRUM_UNIFORM		= 6245,

	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_STARTWL	= 6241,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_ENDWL		= 6242,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_VALUES		= 6243,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_NUMVALUES	= 6244,

	INDIGO_BASEEMISSION_SPECTRUM_PEAK_MIN		= 6254,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_WIDTH		= 6255,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_BASEVALUE	= 6256,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_VALUE		= 6257,

	INDIGO_BASEEMISSION_SCALE			= 6080,
	INDIGO_BASEEMISSION_SCALE_GROUP		= 6082,
	INDIGO_BASEEMISSION_SCALE_MEASURE	= 6083,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_FLUX			= 6084,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_INTENSITY	= 6085,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINANCE				= 6086,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_EMITTANCE	= 6087,
	INDIGO_BASEEMISSION_SCALE_VALUE		= 6088,

	INDIGO_BASEEMISSION_USE_IES			= 6281,
	INDIGO_BASEEMISSION_IES_PROFILE		= 6282,

	INDIGO_LIGHT_LAYER	= 6090,

	INDIGO_EMISSION_TEXTURE			= 6064,
	INDIGO_EMISSION_TEXTURE_EXP		= 6065,
	INDIGO_EMISSION_TEXTURE_A		= 6066,
	INDIGO_EMISSION_TEXTURE_B		= 6067,
	INDIGO_EMISSION_TEXTURE_C		= 6068,

	//BUMP
	INDIGO_BUMP_TEXTURE			= 6069,
	INDIGO_BUMP_TEXTURE_EXP		= 6070,
	INDIGO_BUMP_TEXTURE_A		= 6071,
	INDIGO_BUMP_TEXTURE_B		= 6072,
	INDIGO_BUMP_TEXTURE_C		= 6073,

	//DISPLACEMENT
	INDIGO_DISPLACEMENT_TEXTURE			= 6074,
	INDIGO_DISPLACEMENT_TEXTURE_EXP		= 6075,
	INDIGO_DISPLACEMENT_TEXTURE_A		= 6076,
	INDIGO_DISPLACEMENT_TEXTURE_B		= 6077,
	INDIGO_DISPLACEMENT_TEXTURE_C		= 6078,

	//SIGMA
	INDIGO_SIGMA_CONSTANT		= 6079,

	INDIGO_SIGMA_TEXTURE		= 6205,
	INDIGO_SIGMA_TEXTURE_EXP	= 6206,
	INDIGO_SIGMA_TEXTURE_A		= 6207,
	INDIGO_SIGMA_TEXTURE_B		= 6208,
	INDIGO_SIGMA_TEXTURE_C		= 6209,

	//ABSORPTION_LAYER
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB			= 6271,
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB_GAIN		= 6272,
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB_GAMMA		= 6273,

	INDIGO_ABSORPTION_LAYER_TEXTURE			= 6274,
	INDIGO_ABSORPTION_LAYER_TEXTURE_EXP		= 6275,
	INDIGO_ABSORPTION_LAYER_TEXTURE_A		= 6276,
	INDIGO_ABSORPTION_LAYER_TEXTURE_B		= 6277,
	INDIGO_ABSORPTION_LAYER_TEXTURE_C		= 6278,
	
	//C4D needs those:
	INDIGO_MATERIAL_PREVIEWSIZE			= 500,
	INDIGO_MATERIAL_PREVIEWSIZE_DEF		= 0,
	INDIGO_MATERIAL_PREVIEWSIZE_64		= 6,
	INDIGO_MATERIAL_PREVIEWSIZE_128		= 7,
	INDIGO_MATERIAL_PREVIEWSIZE_256		= 8,
	INDIGO_MATERIAL_PREVIEWSIZE_512		= 9,
	INDIGO_MATERIAL_PREVIEWSIZE_1024	= 10,
	INDIGO_MATERIAL_PREVIEWSIZE_2048	= 11,
	INDIGO_MATERIAL_PREVIEWSIZE_4096	= 12,
	
	INDIGO_BAKING_RESX		= 6265,
	INDIGO_BAKING_RESY		= 6266,

	CINDIGO_RENDER_PREVIEW	= 6268,
	CINDIGO_EXPORT_PIGM		= 6270,
};

#endif